/*
 * IBM Confidential
 * OCO Source Materials
 * Rational ClearQuest
 * (C) Copyright IBM Corp. 2006, 2009
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */
 
 /* 
 * @description: This is default resource file for all the static strings used in CQ Web (Falcon)
 *
 * @author: Sreedhar Rella (srella@us.ibm.com)
 */
 
( {
	newRecord: "New ${0}", // added for RCM
	cqRecord_error_retrieval_form:"An error occurred while retrieving form information.",
	cqRecord_error_retrieval_form_data:"An error occurred while retrieving record data.",
	cqRecord_error_commit: "An error occurred while commiting the record.",
	cqRecord_error_revert: "An error occurred while reverting the record.",
	cqRecord_error_delete: "An error occurred while deleting the record.",
	cqRecord_error_duplicate: "An error occurred duplicating the record.",
	cqRecord_error_unduplicate: "An error occurred unduplicating the record.",
	cqRecord_error_scriptalias: "An error occurred while running the record script alias.",
	cqRecord_error_empty_form: "Cannot view record. This record type has no form layout.",

	cqRecord_error_startmodify: "You cannot edit this record because it is already being edited.",
	cqRecord_error_startbatchupdate: "One of the selected records is already being edited.",
	
	batchupdate_warning_body: "The following records are already being edited.<br>They won't be included in the multi-record update.", 
	batchupdate_warning_title: "Multi-Record Update Information",
	batchupdate_records_succeeded: "The following records were successfully updated:",
	batchupdate_records_failed: "The following records had errors and were not updated:",
	
	falcon: "ClearQuest: ",
	email_title: "Send Email",
	email_dialog_body: "Click this link to open your email client.",
	email_link: "Open Email Client",
	email_mail_description: "The following link will be included in the mail body. It can also be added as a bookmark.",
	
	error_dialog_title: "Error",
	value_required_dialog_body: "The following fields must be specified:",
	invalid_fields_dialog_body: "The following field values are not allowed:",
	close: "Close",
	
	refresh: "Refresh",
	addToFavorites: "Add to ClearQuest Favorites",
	bookmarks: "Bookmark",
	bookmarkLinkMsg: "You can use the following link as a bookmark to the selected item:",
	bookmarkHowTo: "To add this bookmark to the browser bookmarks menu, right-click on the link above and select \'Bookmark This Link\' from the context menu.",
	email: "Email",
	print: "Print",
	changeViewMode: "Change View Mode",
	tabMode: "Tabbed View",
	flatMode: "List View",
	customize: "Customize List View",
	
	defaultTitle: "Record",
	loading: "Loading...",
	titleForBatchUpdate: "Multi-Record Update",
	titleForStatelessRecord: "New Record",
	remoteMasterd: "Mastered Remotely",
	
	batchActionReplace: "Replace",
	batchActionPrefix: "Prefix",
	batchActionAppend: "Append",
	
	modify_action_label: "Modify",
	delete_action_label: "Delete",
	duplicate_action_label: "Duplicate",
	duplicate_dialog_title: "Duplicate Record",
	modify_action_label: "Modify",
	apply_action_label: "Save",
	revert_action_label: "Cancel",
	submit_action_label: "Save",
	cancel_action_label: "Cancel",
	utilities_action_label: "Utilities",
	changestate_action_label: "Change State",
	
	listcontrol_edit: "Edit...",
	attachment_filename: "File Name",
	attachment_filesize: "File Size",
	attachment_description: "Description",
	attachment_download: "Download",
	attachment_upload: "Add...",
	attachment_remove: "Remove",
	attachment_dlg_title: "Upload Attachment",
	attachment_dlg_filename: "File:",
	attachment_dlg_description: "Description:",
	attachment_dlg_ok: "Add", 
	attachment_dlg_cancel: "Cancel", 
	history_date: "Date",
	history_user: "User",
	history_action: "Action",
	history_oldstate: "Old State",
	history_newstate: "New State",
	
	table_view_title: "Table View",
	table_view_customize_button: "Customize",
	
	customize_title: "Customize Table View",
	customize_ok: "OK",
	customize_cancel: "Cancel",
	customize_selectall: "Select All",
	customize_deselectall: "Deselect All",
	
	listBoxDialogTitle: "Edit List",
	
	openRecord: "Open Record...",
	openRelatedResource: "Open Related Record",
	noRelatedResources: "No Related Records",
	openURL: "Open URL...",
	openInNewWindow: "Open In New Window",

	permission: "Permission",
	searchResult: "Search Results for \"${0}\"",

	//change set related strings
	view_changeset: "View Change Set",
	refresh_changeset: "Refresh Change Set",
	viewVersion: "View File",
	downloadVersion: "Download File",
	cc_loginDlgTitle: "Connect to ClearCase",
	cc_userId: "User ID:",
	cc_userPwd: "Password:",
	cc_nameLbl: "Name",
	cc_versionLbl: "Version",
	cc_pathLbl: "Path",
	ccLoginFailureMsg: "An error occurred while connecting to ClearCase",
	//end change set related strings
	
	//reqpro integration related strings
	rp_loginDlgTitle: "Connect to RequisitePro",
	noReqWebServerFound: "No Requisite Web Server defined. Contact your administrator.",
	cqReqProIntegrationUnsupported: "The ClearQuest - RequisitePro integration is not supported",
	//end reqpro related strings
	
	cqUCMIntegrationUnsupported: "The Clearquest - Unified Change Management integration is not supported.",
	
	templateLabel: "Template:",
	loadTemplate: "Load",
	saveTemplate: "Save",
	removeTemplate: "Remove",
	templateLoadError: "Cannot load the template.",
	templateNoNameForSave: "You must specify a template name.",
	templateNoUpdateFields: "No fields have been updated.", 
	
	record_url_error: "Cannot get the URL for this record",
	causedBy: "Caused by:",
	
	// Should be moved elsewhere, but CqQueryResultsService pulls its strings from this file.
	noCrystalReportServer: "Your administrator has not specified a ClearQuest Report Server for Crystal Reports.",
	// Messages for session expired
	sessionExpired: "The record could not be saved because your session timed out.",
	sessionExpiredInstruction: "You must close the record and perform the action again.",
	sessionExpiredTips: "Note:",
	sessionExpiredTipsBody: "You can copy your edits to the clipboard or a text editor first to avoid retyping them.",

	noFormPermitted: "This record type has no form tabs which the current user is permitted to view.",
	
	recordSaved: "Record Saved:",
	viewRecord: "View Record",
	loadingRecord: "Loading Record",

	recordUpdated: "Another user has changed this record since you viewed it. The record will be refreshed.",
	recordDeletedSinceQueryRan: "This record has been deleted since you ran the query.",
	recordDeletedSinceViewed: "Another user has deleted this record since you viewed it. The record will be closed.",
	warningDialogTitle: "Warning",
	confirmRemoveAttachment: "Remove attachment ${0}?",
	confirmDeleteRecord: "Delete record?"
} )