/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.client.internal.QueryConstants"); //$NON-NLS-1$

(function() {

com.ibm.team.apt.web.client.internal.QueryConstants= {
	QUERYTYPE_KEYWORD: "keywords", //$NON-NLS-1$
	QUERYTYPE_PREDEFINED: "predef", //$NON-NLS-1$
	
	QUERY_ALLPLANS: "all", //$NON-NLS-1$
	QUERY_CURRENTPLANS: "current", //$NON-NLS-1$
	QUERY_MYPLANS: "myCurrent", //$NON-NLS-1$

	PREDEFINED_QUERIES: [],

	RELATED_CONTRIBUTOR: "relatedToContributor", //$NON-NLS-1$
	RELATED_TEAM: "relatedToTeam", //$NON-NLS-1$
	RELATED_TEAMHIERARCHY: "relatedToTeamHierarchy", //$NON-NLS-1$
	RELATED_DEVLINE: "relatedToDevLine", //$NON-NLS-1$
	RELATED_PLAN: "relatedToPlan", //$NON-NLS-1$
	
	RELATIONSHIPS_QUERIES: [],

	__sentinel: null // terminates this class definition
};

var QueryConstants= com.ibm.team.apt.web.client.internal.QueryConstants;

QueryConstants.PREDEFINED_QUERIES.push(QueryConstants.QUERY_ALLPLANS);
QueryConstants.PREDEFINED_QUERIES.push(QueryConstants.QUERY_CURRENTPLANS);
QueryConstants.PREDEFINED_QUERIES.push(QueryConstants.QUERY_MYPLANS);

QueryConstants.RELATIONSHIPS_QUERIES.push(QueryConstants.RELATED_CONTRIBUTOR);
QueryConstants.RELATIONSHIPS_QUERIES.push(QueryConstants.RELATED_TEAM);
QueryConstants.RELATIONSHIPS_QUERIES.push(QueryConstants.RELATED_TEAMHIERARCHY);
QueryConstants.RELATIONSHIPS_QUERIES.push(QueryConstants.RELATED_DEVLINE);
QueryConstants.RELATIONSHIPS_QUERIES.push(QueryConstants.RELATED_PLAN);

})();