﻿/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
class ErrorArea extends ChartObject {

	
	public function ErrorArea() {
		super();
	}

	public function draw(parentMC:MovieClip):Void {
		
		this.mc = parentMC.createEmptyMovieClip("error_area_mc", parentMC.getNextHighestDepth());
		var colour:Number = 0xEEEEEE;
		var opacity:Number = 100;
		
		this.mc.beginFill(colour, opacity);

		this.mc.moveTo(0, 0);
		this.mc.lineTo(0, Stage.height);
		this.mc.lineTo(Stage.width, Stage.height);
		this.mc.lineTo(Stage.width, 0);
		this.mc.lineTo(0, 0);
		
		this.mc.endFill();
		
	}	
	
	public function destroy():Void {
		super.destroy();
	}		
	
}